Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::RadioButtonSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::RadioButton. More...

`#include <xfc/gtk/radiobuttonsignals.hh>`

Inheritance diagram for Xfc::Gtk::RadioButtonSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_group_changed ()
    Called when the group of radio buttons that a radio button belongs to changes.

## Protected Member Functions

Constructors

- RadioButtonSignals (RadioButton *radio_button)
    Constructs a new RadioButtonSignals object.
- virtual ~RadioButtonSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::RadioButton.

## Constructor & Destructor Documentation

Xfc::Gtk::RadioButtonSignals::RadioButtonSignals | ( | RadioButton * | radio_button | ) | `[protected]`

Constructs a new RadioButtonSignals object.

Parameters:

  | radio_button | A RadioButton object inheriting the RadioButtonSignals implementation.

## Member Function Documentation

virtual void Xfc::Gtk::RadioButtonSignals::on_group_changed | ( |  | ) | `[virtual]`

| Called when the group of radio buttons that a radio button belongs to changes. This handler is called when a radio button switches from being alone to being part of a group of 2 or more buttons, or vice-versa, and when a buttton is moved from one group of 2 or more buttons to a different one, but not when the composition of the group that a button belongs to changes.

The documentation for this class was generated from the following file:

- radiobuttonsignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3